commit:     29e2dfb099891b2756a4dc1c9ee165e9f85015e0
Author:     Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto <AT> gentoo 
<DOT> org>
AuthorDate: Fri Oct 17 12:31:22 2014 +0000
Commit:     Jorge Manuel B. S. Vicetto <jmbsvicetto <AT> gentoo <DOT> org>
CommitDate: Fri Oct 17 12:31:22 2014 +0000
URL:        
http://sources.gentoo.org/gitweb/?p=dev/jmbsvicetto.git;a=commit;h=29e2dfb0

Bump to release 7.32 - fixes bug 525514 (CVE-2014-3704).

Signed-off-by: Jorge Manuel B. S. Vicetto (jmbsvicetto) <jmbsvicetto <AT> 
gentoo.org>

---
 www-apps/drupal/Manifest           |  3 +-
 www-apps/drupal/drupal-7.32.ebuild | 85 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+), 2 deletions(-)

diff --git a/www-apps/drupal/Manifest b/www-apps/drupal/Manifest
index 0a1ec69..c41371b 100644
--- a/www-apps/drupal/Manifest
+++ b/www-apps/drupal/Manifest
@@ -1,4 +1,3 @@
-DIST drupal-6.32.tar.gz 1102839 SHA256 
3e1038142f92d125efd494417e8ed9a3c66a46bc063c1d36cca8b4ba91fc1e71 SHA512 
3fc2fee0f1f202bdb2b1b686491d2f643ddec903124efcf98cde693bb05ba7dd0c0ca2135f57d4bdd210ac43ea01ec4a10de01815d94c33a37a372de301e53a8
 WHIRLPOOL 
fca4d28907d334f2aa582e6c11dd93e4c4fa6dc2fc5505292f41a1abe8c848bf9d6c3c5c6498fdea02feeba6999946b6ef6550d1a26ccd4589f898f69b5c3834
 DIST drupal-6.33.tar.gz 1103496 SHA256 
952f9bd6b22058fe8f9c90c0ac96bd695a673306331269a79c7e19e38fd047eb SHA512 
71c272800712493e33f05e58e58da1217c793a6158a84613f7443ee97b2df09cc977621cee353286836513c5f6355187d4eb11f28e8913b58434291f52eae8ee
 WHIRLPOOL 
86fe2eb608c1d43ad83d4b253762d5f82ae9b6f4dd8282bdad34e7fe584bab0d9bdfddbb78dd373c733a85934f00282ec36b3d05d2992dc168f6fce828715d95
-DIST drupal-7.29.tar.gz 3213499 SHA256 
2a4d4e8384ea90197fa7c71abe4599a84aa03bbd4e8d92aa432197a03cb0eeff SHA512 
c0afa88f619655ff349506994a985a8931fc1b79e99275a4ffe028e7b0d70e6988edd97b9c131ad9ab63650ba185459243e0afb5de67bd9854d65228444743e8
 WHIRLPOOL 
99ceba490358c385c0b1a09151d17217109968e9fe1d24af8dc5a1fe06d7aebb5f90c16ed5b77f73ed035c857f6214c9ceeab1cd2d6a7aa7d6efc020b7afbbda
 DIST drupal-7.31.tar.gz 3216766 SHA256 
6af4849fd2e1fd0a186a5264de10613e57b84c69dbe7dec0754472d27f37af40 SHA512 
51cd83974d376714f278e1263b8835163d4528c3ba96f5a134b1e1db5d2145e8bc043561de667b7348152f123ef9ce9ef9b109dfc561b5256ad1a56f0b99ee0d
 WHIRLPOOL 
da110bfbfcc723d62e53604c46f688be7e5257a70f45abde249126da1b6593a0e42a2f303b0d8f097272a278d7183059feff1148c71963e75a50efa08269a08f
+DIST drupal-7.32.tar.gz 3215563 SHA256 
f36d5ab0891997bf3c681b76151c6b015b0bb9041610e1c9af7d17e28dc15c39 SHA512 
8d2b2f9cf525a3f0c5fb843d7c0cc70fbb8a5c1f60d898dd74d848b4d0f29eb70b2163b81db0fbb1d24e91d2fb6d58e34d2d6bde37175331855312d4e2b2481a
 WHIRLPOOL 
c968fdbcdcc1076b91952dc71385cdbd4e831f2f2c080a9c6ea4b22b33157018dd2bdf02909579ffabe0e98b6635d9614b68d772932a616cb708c8516850bde1

diff --git a/www-apps/drupal/drupal-7.32.ebuild 
b/www-apps/drupal/drupal-7.32.ebuild
new file mode 100644
index 0000000..6e4e38a
--- /dev/null
+++ b/www-apps/drupal/drupal-7.32.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/www-apps/drupal/drupal-7.27.ebuild,v 1.1 
2014/04/25 07:55:09 radhermit Exp $
+
+EAPI=5
+
+inherit webapp
+
+MY_PV=${PV:0:3}.0
+
+DESCRIPTION="PHP-based open-source platform and content management system"
+HOMEPAGE="http://drupal.org/";
+SRC_URI="http://drupal.org/files/projects/${P}.tar.gz";
+
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~ppc ~x86"
+IUSE="+accelerator +mysql postgres sqlite +uploadprogress"
+
+RDEPEND="
+       dev-lang/php[gd,hash,pdo,postgres?,simplexml,xml]
+       virtual/httpd-php
+       accelerator? ( ||
+               (
+                       (
+                               <dev-lang/php-5.5
+                               dev-php/pecl-apc
+                       )
+                       dev-php/xcache
+                       dev-php/eaccelerator
+                       (
+                               >=dev-lang/php-5.5[opcache]
+                               dev-php/pecl-apcu
+                       )
+               )
+       )
+       uploadprogress? ( dev-php/pecl-uploadprogress )
+       mysql? (
+               || (
+                       dev-lang/php[mysql]
+                       dev-lang/php[mysqli]
+               )
+       )
+       sqlite? (
+               || (
+                       dev-lang/php[sqlite]
+                       dev-lang/php[sqlite3]
+               )
+       )
+"
+
+need_httpd_cgi
+
+REQUIRED_USE="|| ( mysql postgres sqlite )"
+
+src_install() {
+       webapp_src_preinst
+
+       local docs="MAINTAINERS.txt LICENSE.txt INSTALL.txt CHANGELOG.txt 
INSTALL.mysql.txt INSTALL.pgsql.txt INSTALL.sqlite.txt UPGRADE.txt "
+       dodoc ${docs}
+       rm -f ${docs} INSTALL COPYRIGHT.txt || die
+
+       cp sites/default/{default.settings.php,settings.php} || die
+       insinto "${MY_HTDOCSDIR}"
+       doins -r .
+
+       dodir "${MY_HTDOCSDIR}"/files
+       webapp_serverowned "${MY_HTDOCSDIR}"/files
+       webapp_serverowned "${MY_HTDOCSDIR}"/sites/default
+       webapp_serverowned "${MY_HTDOCSDIR}"/sites/default/settings.php
+
+       webapp_configfile "${MY_HTDOCSDIR}"/sites/default/settings.php
+       webapp_configfile "${MY_HTDOCSDIR}"/.htaccess
+
+       webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+
+       webapp_src_install
+}
+
+pkg_postinst() {
+       echo
+       ewarn "SECURITY NOTICE"
+       ewarn "If you plan on using SSL on your Drupal site, please consult the 
postinstall information:"
+       ewarn "\t# webapp-config --show-postinst ${PN} ${PV}"
+       echo
+}

Reply via email to